Editar asueto
curl --request PUT \
--url https://api.filexpress.app/api/external/hr/holidays/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"is_paid": false
}
'const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({is_paid: false})
};
fetch('https://api.filexpress.app/api/external/hr/holidays/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.filexpress.app/api/external/hr/holidays/{id}"
payload = { "is_paid": False }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.filexpress.app/api/external/hr/holidays/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'is_paid' => false
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": true,
"data": {
"id": "9d1c5a3e-4b7f-4e2a-9c1d-2f6b8a0e7c11",
"business_id": "9d1c5a3e-4b7f-4e2a-9c1d-2f6b8a0e7c11",
"country_code": "SV",
"date": "2026-12-24",
"name": "Nochebuena",
"scope": "company",
"region_code": null,
"branch_id": null,
"action": "add",
"start_time": "12:00",
"is_paid": true,
"source": "manual",
"origin": "company",
"is_excluded": false,
"exclusion_id": null,
"recalculation_queued": true
}
}{
"status": false,
"message": "Invalid API Key."
}{
"status": false,
"message": "This integration does not have the 'hr.employees' permission.",
"required_scope": "hr.employees"
}{
"status": false,
"message": "Not found."
}{
"status": false,
"message": "Validation errors",
"errors": {
"start_date": [
"The start date field is required."
]
}
}{
"status": false,
"message": "Rate limit exceeded. Please try again later.",
"rate_limit": 100
}Editar asueto
Edita un asueto de la empresa. Feriados del país y exclusiones responden 404.
Permiso requerido: hr.holidays.write
PUT
/
hr
/
holidays
/
{id}
Editar asueto
Authorizations
API Key de la integración (Integraciones → Nueva Integración).
Path Parameters
ID del asueto
Body
application/json
Response
Éxito